Index: code/branches/objecthierarchy/src/util/MathConvert.h
===================================================================
--- code/branches/core3/src/util/MathConvert.h	(revision 2014)
+++ code/branches/objecthierarchy/src/util/MathConvert.h	(revision 2016)
@@ -47,5 +47,5 @@
 // Vector2 to std::string
 template <>
-struct ConverterExplicit<std::string, orxonox::Vector2>
+struct ConverterExplicit<orxonox::Vector2, std::string>
 {
     static bool convert(std::string* output, const orxonox::Vector2& input)
@@ -63,5 +63,5 @@
 // Vector3 to std::string
 template <>
-struct ConverterExplicit<std::string, orxonox::Vector3>
+struct ConverterExplicit<orxonox::Vector3, std::string>
 {
     static bool convert(std::string* output, const orxonox::Vector3& input)
@@ -79,5 +79,5 @@
 // Vector4 to std::string
 template <>
-struct ConverterExplicit<std::string, orxonox::Vector4>
+struct ConverterExplicit<orxonox::Vector4, std::string>
 {
     static bool convert(std::string* output, const orxonox::Vector4& input)
@@ -95,5 +95,5 @@
 // Quaternion to std::string
 template <>
-struct ConverterExplicit<std::string, orxonox::Quaternion>
+struct ConverterExplicit<orxonox::Quaternion, std::string>
 {
     static bool convert(std::string* output, const orxonox::Quaternion& input)
@@ -111,5 +111,5 @@
 // ColourValue to std::string
 template <>
-struct ConverterExplicit<std::string, orxonox::ColourValue>
+struct ConverterExplicit<orxonox::ColourValue, std::string>
 {
     static bool convert(std::string* output, const orxonox::ColourValue& input)
@@ -131,17 +131,17 @@
 
 // std::string to Vector2
-template <> struct _UtilExport ConverterFallback<orxonox::Vector2,     std::string>
+template <> struct _UtilExport ConverterFallback<std::string, orxonox::Vector2>
 { static bool convert(orxonox::Vector2*     output, const std::string& input); };
 // std::string to Vector3
-template <> struct _UtilExport ConverterFallback<orxonox::Vector3,     std::string>
+template <> struct _UtilExport ConverterFallback<std::string, orxonox::Vector3>
 { static bool convert(orxonox::Vector3*     output, const std::string& input); };
 // std::string to Vector4
-template <> struct _UtilExport ConverterFallback<orxonox::Vector4,     std::string>
+template <> struct _UtilExport ConverterFallback<std::string, orxonox::Vector4>
 { static bool convert(orxonox::Vector4*     output, const std::string& input); };
 // std::string to Quaternion
-template <> struct _UtilExport ConverterFallback<orxonox::Quaternion,  std::string>
+template <> struct _UtilExport ConverterFallback<std::string, orxonox::Quaternion>
 { static bool convert(orxonox::Quaternion*  output, const std::string& input); };
 // std::string to ColourValue
-template <> struct _UtilExport ConverterFallback<orxonox::ColourValue, std::string>
+template <> struct _UtilExport ConverterFallback<std::string, orxonox::ColourValue>
 { static bool convert(orxonox::ColourValue* output, const std::string& input); };
 
@@ -153,9 +153,9 @@
 // From Radian
 template <class ToType>
-struct ConverterFallback<ToType, orxonox::Radian>
+struct ConverterFallback<orxonox::Radian, ToType>
 {
     static bool convert(ToType* output, const orxonox::Radian& input)
     {
-        return convertValue<ToType, Ogre::Real>(output, input.valueRadians());
+        return convertValue<Ogre::Real, ToType>(output, input.valueRadians());
     }
 };
@@ -163,9 +163,9 @@
 // From Degree
 template <class ToType>
-struct ConverterFallback<ToType, orxonox::Degree>
+struct ConverterFallback<orxonox::Degree, ToType>
 {
     static bool convert(ToType* output, const orxonox::Degree& input)
     {
-        return convertValue<ToType, Ogre::Real>(output, input.valueDegrees());
+        return convertValue<Ogre::Real, ToType>(output, input.valueDegrees());
     }
 };
@@ -173,5 +173,5 @@
 // To Radian
 template <class FromType>
-struct ConverterFallback<orxonox::Radian, FromType>
+struct ConverterFallback<FromType, orxonox::Radian>
 {
     static bool convert(orxonox::Radian* output, const FromType& input)
@@ -190,5 +190,5 @@
 // To Degree
 template <class FromType>
-struct ConverterFallback<orxonox::Degree, FromType>
+struct ConverterFallback<FromType, orxonox::Degree>
 {
     static bool convert(orxonox::Degree* output, const FromType& input)
